provider "tencentcloud" {
  region = "ap-guangzhou"
}

resource "tencentcloud_kms_external_key" "external_key" {
  alias = "tf-kms-external-key"
  description = "create a CMK and import key_material_base64."
  wrapping_algorithm = "RSAES_PKCS1_V1_5"
  key_material_base64 = "MTIzMTIzMTIzMTIzMTIzQQ=="
  is_enabled = false

  tags = {
    "test-tag":"test"
  }
}

resource "tencentcloud_kms_key" "key" {
  alias = "tf-kms-key"
  description = "create a CMK generated by KMS."
  key_rotation_enabled = false
  is_enabled = true

  tags = {
    "test-tag":"test"
  }
}

data "tencentcloud_kms_keys" "keys" {
  key_usage = "ALL"
  origin = "EXTERNAL"
}
