package tencentcloud

const (
	SCF_FUNCTION_TYPE_EVENT = "Event"

	SCF_FUNCTION_STATUS_ACTIVE         = "Active"
	SCF_FUNCTION_STATUS_CREATING       = "Creating"
	SCF_FUNCTION_STATUS_CREATE_FAILED  = "CreateFailed"
	SCF_FUNCTION_STATUS_UPDATING       = "Updating"
	SCF_FUNCTION_STATUS_UPDATE_FAILED  = "UpdateFailed"
	SCF_FUNCTION_STATUS_PUBLISH_FAILED = "PublishFailed"

	SCF_SERVICE           = "scf"
	SCF_FUNCTION_RESOURCE = "lam"

	SCF_TRIGGER_TYPE_COS         = "cos"
	SCF_TRIGGER_TYPE_CMQ         = "cmq"
	SCF_TRIGGER_TYPE_TIMER       = "timer"
	SCF_TRIGGER_TYPE_CKAFKA      = "ckafka"
	SCF_TRIGGER_TYPE_API_GATEWAY = "apigw"

	SCF_LOGS_ORDER_BY_FUNCTION_NAME = "function_name"
	SCF_LOGS_ORDER_BY_DERATION      = "duration"
	SCF_LOGS_ORDER_BY_MEM_USAGE     = "mem_usage"
	SCF_LOGS_ORDER_BY_START_TIME    = "start_time"

	SCF_LOGS_RET_CODE_NOT0                     = "not0"
	SCF_LOGS_RET_CODE_IS0                      = "is0"
	SCF_LOGS_RET_CODE_TIME_LIMIT_EXECEEDED     = "TimeLimitExceeded"
	SCF_LOGS_RET_CODE_RESOURCE_LIMIT_EXECEEDED = "ResourceLimitExceeded"
	SCF_LOGS_RET_CODE_USER_CODE_EXCEPTION      = "UserCodeException"

	SCF_LOGS_DESCRIBE_TIME_FORMAT = "2006-01-02 15:04:05"

	SCF_LOGS_ORDER_DESC = "desc"
	SCF_LOGS_ORDER_ASC  = "asc"

	SCF_FUNCTION_DESCRIBE_LIMIT  = 20
	SCF_NAMESPACE_DESCRIBE_LIMIT = 20
)

var (
	SCF_FUNCTIONS_NOT_FOUND_SET = []string{
		"ResourceNotFound.Function",
		"ResourceNotFound.FunctionName",
		"InvalidParameterValue.FunctionName",
		"ResourceNotFound.Namespace",
	}

	SCF_TRIGGER_TYPES = []string{
		SCF_TRIGGER_TYPE_COS,
		SCF_TRIGGER_TYPE_CMQ,
		SCF_TRIGGER_TYPE_TIMER,
		SCF_TRIGGER_TYPE_CKAFKA,
		SCF_TRIGGER_TYPE_API_GATEWAY,
	}

	SCF_LOGS_ORDERS = []string{
		SCF_LOGS_ORDER_DESC,
		SCF_LOGS_ORDER_ASC,
	}

	SCF_LOGS_ORDER_BY = []string{
		SCF_LOGS_ORDER_BY_FUNCTION_NAME,
		SCF_LOGS_ORDER_BY_DERATION,
		SCF_LOGS_ORDER_BY_MEM_USAGE,
		SCF_LOGS_ORDER_BY_START_TIME,
	}

	SCF_LOGS_RET_CODES = []string{
		SCF_LOGS_RET_CODE_NOT0,
		SCF_LOGS_RET_CODE_IS0,
		SCF_LOGS_RET_CODE_TIME_LIMIT_EXECEEDED,
		SCF_LOGS_RET_CODE_RESOURCE_LIMIT_EXECEEDED,
		SCF_LOGS_RET_CODE_USER_CODE_EXCEPTION,
	}
)
