package tencentcloud

const (
	SQLSERVER_CHARGE_TYPE_PREPAID  = "PREPAID"
	SQLSERVER_CHARGE_TYPE_POSTPAID = "POSTPAID_BY_HOUR"
)

var SQLSERVER_CHARGE_TYPE_NAME = map[string]string{
	"PRE":  SQLSERVER_CHARGE_TYPE_PREPAID,
	"POST": SQLSERVER_CHARGE_TYPE_POSTPAID,
	"ALL":  "ALL",
}

const (
	SQLSERVER_TASK_SUCCESS = 0
	SQLSERVER_TASK_FAIL    = 1
	SQLSERVER_TASK_RUNNING = 2
)

var SQLSERVER_CHARSET_LIST = []string{
	"Chinese_PRC_CI_AS",
	"Chinese_PRC_CS_AS",
	"Chinese_PRC_BIN",
	"Chinese_Taiwan_Stroke_CI_AS",
	"SQL_Latin1_General_CP1_CI_AS",
	"SQL_Latin1_General_CP1_CS_AS",
}

const (
	SQLSERVER_ACCOUNT_RW = "ReadWrite"
	SQLSERVER_ACCOUNT_RO = "ReadOnly"
)

var SQLSERVER_ACCOUNT_PRIVILEGE = []string{
	SQLSERVER_ACCOUNT_RW,
	SQLSERVER_ACCOUNT_RO,
}

const (
	SQLSERVER_DEFAULT_LIMIT  = 20
	SQLSERVER_DEFAULT_OFFSET = 0
)

const (
	SQLSERVER_DB_CREATING         = 1
	SQLSERVER_DB_RUNNING          = 2
	SQLSERVER_DB_MODIFYING        = 3
	SQLSERVER_DB_DELETING         = -1
	SQLSERVER_DB_UPGRADING        = 9
	SQLSERVER_DB_SWITCH_PENDING   = 13 // 实例修改中且待切换
	SQLSERVER_DB_PUBSUB_CREATING  = 14 // 订阅发布创建中
	SQLSERVER_DB_PUBSUB_MODIFYING = 15 // 订阅发布修改中
	SQLSERVER_DB_SWITCHING        = 16 // 实例修改中且切换中
	SQLSERVER_DB_RO_CREATING      = 17 // 创建RO副本中
)

var SQLSERVER_DB_STATUS = map[int64]string{
	SQLSERVER_DB_CREATING:         "creating",
	SQLSERVER_DB_RUNNING:          "running",
	SQLSERVER_DB_MODIFYING:        "modifying",
	SQLSERVER_DB_DELETING:         "deleting",
	SQLSERVER_DB_UPGRADING:        "upgrading",
	SQLSERVER_DB_SWITCH_PENDING:   "switch pending",
	SQLSERVER_DB_PUBSUB_CREATING:  "pubsub creating",
	SQLSERVER_DB_PUBSUB_MODIFYING: "pubsub modifying",
	SQLSERVER_DB_SWITCHING:        "switching",
	SQLSERVER_DB_RO_CREATING:      "ro creating",
}

var SQLSERVER_STATUS_WAITING = []int{
	SQLSERVER_DB_CREATING,
	SQLSERVER_DB_MODIFYING,
	SQLSERVER_DB_UPGRADING,
	SQLSERVER_DB_SWITCH_PENDING,
	SQLSERVER_DB_PUBSUB_CREATING,
	SQLSERVER_DB_PUBSUB_MODIFYING,
	SQLSERVER_DB_SWITCHING,
	SQLSERVER_DB_RO_CREATING,
}

const (
	SQLSERVER_HA_FLAG_SINGLE  = "SINGLE"
	SQLSERVER_HA_FLAG_DAUL    = "MIRROR"
	SQLSERVER_HA_FLAG_CLUSTER = "ALWAYSON"
)

var SQLSERVER_HA_TYPE_FLAGS = map[string]string{
	SQLSERVER_HA_FLAG_SINGLE:  "SINGLE",
	SQLSERVER_HA_FLAG_DAUL:    "DUAL",
	SQLSERVER_HA_FLAG_CLUSTER: "CLUSTER",
}

const (
	BASIC_NETWORK = 0
	VPC_NEWORK    = 1
)

const (
	INTERNALERROR_DBERROR   = "InternalError.DBError"
	INSTANCE_STATUS_INVALID = "ResourceUnavailable.InstanceStatusInvalid"
)

const (
	CLOUD_PREMIUM = "CLOUD_PREMIUM"
	CLOUD_SSD     = "CLOUD_SSD"
)
